<div class="login boxed-container mat-elevation-z6" #help>
  <form [formGroup]="passwordFormGroup" name="form" (ngSubmit)="change(f.form)"
        #f="ngForm" #fHTML novalidate fxLayout="column">
    <mat-form-field>
      <input matInput type="password" #password placeholder="Password"
             formControlName="password"
             [errorStateMatcher]="matcher" appBlockCopyPaste>
        <!--<mat-icon matSuffix
                  color="primary"
                  style="cursor: pointer"
                  (mouseenter)="password.type = 'text'"
                  (mouseleave)="password.type = 'password'">remove_red_eye</mat-icon>-->
        <mat-icon matSuffix
                  color="primary"
                  style="cursor: pointer"
                  (mouseenter)="tip.hidden = false"
                  (mouseleave)="tip.hidden = true">help</mat-icon>
      <!--<mat-error *ngIf="passwordFormGroup.invalid">{{getErrorMessage()}}</mat-error>-->
    </mat-form-field>
    <div class="tip boxed-container mat-elevation-z6" #tip [hidden]="true"
         [innerHTML]="resetPasswordConfig.passwordConstraints">
    </div>
    <mat-form-field>
      <input matInput type="password" placeholder="Conferma Password" name="password2"
             formControlName="password2" #password2
             [errorStateMatcher]="matcher" appBlockCopyPaste>
      <mat-icon matSuffix
                color="primary"
                style="cursor: pointer"
                (mouseenter)="password2.type = 'text'; password.type = 'text'"
                (mouseleave)="password2.type = 'password'; password.type = 'password'">remove_red_eye</mat-icon>
      <!--<mat-error *ngIf="passwordFormGroup.invalid">{{getErrorMessage()}}</mat-error>-->
    </mat-form-field>
    <!--<mat-error *ngIf="passwordFormGroup.invalid && passwordFormGroup.hasError('matchPassword')">
      Le password non corrispondono
    </mat-error>-->
    <br>
    <button mat-raised-button color="primary" [disabled]="loading" type="submit">Cambia Password
    </button>
  </form>
</div>
